%define anolis_release 1
Name:           gupnp-igd
Version:        1.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Library to handle UPnP IGD port mapping

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GUPnP
Source0:        https://download.gnome.org/sources/%{name}/1.2/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  gupnp-devel
BuildRequires:  meson

Provides: %{name}-python = %{version}-%{release}
Provides: %{name}-python = %{version}-%{release}
Obsoletes: %{name}-python < %{version}-%{release}
Obsoletes: %{name}-python2 < %{version}-%{release}

%description
%{name} is a library to handle UPnP IGD port mapping.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install


%files
%license COPYING
%doc README
%{_libdir}/libgupnp-igd-1.0.so.4*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib


%files devel
%{_includedir}/*
%{_libdir}/libgupnp-igd-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir


%changelog
* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.0-1
- init from upstream
